package ru.yandex.autotests.direct.web.steps.api;

import ru.yandex.autotests.direct.web.pages.api.APIFinanceSettingsPage;
import ru.yandex.qatools.allure.annotations.Step;
import ru.yandex.qatools.allure.webdriver.pages.BasePageObject;
import ru.yandex.qatools.allure.webdriver.steps.BaseSteps;

public class ApiFinanceSettingsPageSteps extends BaseSteps {

    private APIFinanceSettingsPage onApiFinanceSettingsPage() {
        return BasePageObject.getInstance(APIFinanceSettingsPage.class, config);
    }

    @Step("Выписать новый мастер-токен")
    public void clickNewMasterToken() {
        onApiFinanceSettingsPage().clickNewMasterToken();
    }

    @Step("Сбросить мастер-токен")
    public void clickDeleteMasterToken() {
        onApiFinanceSettingsPage().clickDeleteMasterToken();
    }

    @Step("Сбросить счетчик")
    public void clickDeleteCounter() {
        onApiFinanceSettingsPage().clickDeleteCounter();
    }
}
